import request from '@/utils/request'


export default {
    // 获取告警信息列表
    queryPerimeterAlarm(params) {
        return request({
            url: `/PerimeterController/queryPerimeterAlarm`,
            method: 'post',
            params: params
        })
    },
    // 删除告警信息
    perimeterAlarmDel(params) {
        return request({
            url: `/PerimeterController/perimeterAlarmDel`,
            method: 'post',
            params: params
        })
    },
    // 导出Exel表格
    perimeterAlarmExel(guardCode, status) {
        return request({
            url: `/PerimeterController/perimeterAlarmExel`,
            method: 'post',
            data: { guardCode: guardCode, status: status }
        })
    },
    // 处置告警信息
    updatePerimeterAlarm(params) {
        return request({
            url: `/PerimeterController/updatePerimeterAlarm`,
            method: 'post',
            params: params
        })
    }
}
